Skip to main content
POST
/
v1
/
pipeline
/
responsive-image-set
{
  "input": "https://example.com/image.jpg",
  "widths": [320, 640, 1024, 1920]
}
curl -X POST https://api.ringbee.dev/v1/pipeline/responsive-image-set \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@photo.jpg" \
  -F "widths=[320, 640, 1024, 1920]"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/image.jpg",
  "widths": [320, 640, 1024, 1920]
}
curl -X POST https://api.ringbee.dev/v1/pipeline/responsive-image-set \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@photo.jpg" \
  -F "widths=[320, 640, 1024, 1920]"
ParamTypeDescription
widthsarrayList of output widths in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

widths
string

List of output widths in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"